Skip to main content
GET
News

Overview

The News API fetches news articles filtered by company, industry, date range, sentiment, type, and news score. Each result is enriched with an AI-generated summary, event classification, publisher metadata, sentiment, company mentions, geography, industry tags, named entities (people, locations, products, and events mentioned in the article) and the full article text. Results are returned in the API response.

Endpoint Details

  • Method: GET
  • Endpoint: /v1/news

Authentication requirements

  • Include a valid API key in the x-api-key request header.

Request

Request Parameters

Header Parameters

x-api-key
string
required
Your API key.

URL Parameters

company
string
Website (e.g. https://canva.com) or company UUID returned by the Company Search API.
industry
string
Comma separated list of industry codes to filter articles by. Use industry search endpoint to fetch the list of industry codes for a given industry topic.
query
string
Topic name to search articles. Allows open-ended topic name. Eg. Crude oil price developments
title
string
Searches articles based on the title entered.
start_date
string
Start of the date range, formatted as YYYY-MM-DD. Non-enterprise plans are limited to a 6-month lookback.
end_date
string
End of the date range, formatted as YYYY-MM-DD.Default = today
limit
integer
Maximum number of news articles to return.Default = 10Max value = 1000
offset
integer
Number of results to skip before returning records. Use with limit for pagination.Default = 0
group_articles
boolean
Accepts boolean. True will group similar articles from the same event.
news_score_list
string
Filter by news score tier. Accepted values: High, Medium, Low , allDefault = all
countries
string
Filters articles based on the country of the event. Comma separated list of ISO country codes.
blacklisted
string
Comma separated list of publisher domains to exclude.
type_list
string
Filter by news type. Download full list of news categories.Default = all
sentiment_list
string
Filter by sentiment. Accepted values: positive, negative, neutral, all.Default = all
entity_person_list
string
Comma separated list of people names.
entity_location_list
string
Comma separated list of locations.
entity_product_list
string
Comma separated list of product names
entity_event_list
string
Comma separated list of event names
naics_code_list
string
Comma separated list of NAICS codes. Download full list of NAICS codes.
sic_code_list
string
Comma separated list of SIC codes. Download full list of SIC codes.
iptc_code_list
string
Comma separated list of IPTC codes. Download full list of IPTC codes.
iab_code_list
string
Comma separated list of IAB codes. Download full listof IAB codes.

Response

Successful Response Fields

Returns a JSON object with the following structure:
total
integer
Total number of articles available based on the filters set
limit
integer
Limit applied to the request.
offset
integer
Offset applied to the request.
credits_consumed
float
Number of credits consumed
count
integer
Number of articles returned in the data array.
data
array
List of news article objects.

Authorizations

x-api-key
string
header
required

API key obtained from your Akta account.

Query Parameters

company
string

Website (e.g. 'https://canva.com') or company UUID returned by the Company Search API.

industry
string

Comma separated list of industry codes to filter articles by. Use industry search endpoint to fetch the list of industry codes for a given industry topic.

query
string

Topic name to search articles. Allows open-ended topic name. Eg. Crude oil price developments

title
string

Searches articles based on the title entered.

start_date
string<date>

Start of the date range, formatted as YYYY-MM-DD. Non-enterprise plans are limited to a 6-month lookback.

end_date
string<date>

End of the date range, formatted as YYYY-MM-DD. Default = today.

limit
integer
default:10

Maximum number of news articles to return. Default = 10, Max = 1000.

Required range: x <= 1000
offset
integer
default:0

Number of results to skip before returning records. Use with limit for pagination.

group_articles
boolean

Accepts boolean. True will group similar articles from the same event.

news_score_list
enum<string>

Filter by news score tier. Accepted values: High, Medium, Low, all. Default = all

Available options:
High,
Medium,
Low,
all
countries
string

Filters articles based on the country of the event. Comma separated list of ISO country codes.

blacklisted
string

Comma separated list of publisher domains to exclude.

type_list
string

Filter by news type. Download full list from https://playground.akta.pro/news-tags.csv. Default = all.

sentiment_list
string

Comma-separated list of sentiments to filter by. Accepted values: positive, negative, neutral, all. Default = all. Example: sentiment_list=positive,negative

entity_person_list
string

Comma separated list of people names.

entity_location_list
string

Comma separated list of locations.

entity_product_list
string

Comma separated list of product names.

entity_event_list
string

Comma separated list of event names.

naics_code_list
string

Comma separated list of NAICS codes.

sic_code_list
string

Comma separated list of SIC codes.

iptc_code_list
string

Comma separated list of IPTC codes.

iab_code_list
string

Comma separated list of IAB codes.

Response

News articles returned

status
string
Example:

"success"

total
integer

Total matching articles available.

count
integer

Number of articles returned in the data array.

limit
integer
offset
integer
credits_consumed
number<float>
data
object[]